> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Log



## OpenAPI

````yaml /api-reference/openapi.json get /v1/logs/{request_id}
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/logs/{request_id}:
    get:
      tags:
        - Logs
      summary: Get Log
      operationId: apps_logs_api_get_log
      parameters:
        - in: path
          name: request_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Request Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogDetail'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    LogDetail:
      properties:
        content:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Content
        created_at:
          format: date-time
          title: Created At
          type: string
        credits:
          title: Credits
          type: number
        duration_ms:
          title: Duration Ms
          type: integer
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        has_audio_input:
          title: Has Audio Input
          type: boolean
        has_audio_output:
          title: Has Audio Output
          type: boolean
        key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Key Id
        method:
          title: Method
          type: string
        operation:
          anyOf:
            - type: string
            - type: 'null'
          title: Operation
        path:
          title: Path
          type: string
        request_id:
          title: Request Id
          type: string
        source:
          title: Source
          type: string
        status:
          title: Status
          type: integer
      required:
        - request_id
        - key_id
        - source
        - method
        - path
        - status
        - error_code
        - duration_ms
        - operation
        - credits
        - created_at
        - content
        - has_audio_input
        - has_audio_output
      title: LogDetail
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.